
Foreman - Feature #910

add ability to use specified certificate with ldaps authentication

05/19/2011 01:29 AM - Corey Osman

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Per group conversation:

https://groups.google.com/group/foreman-users/browse_thread/thread/6f1e1583cd392156

I would like the ability to upload a signed cert via the ldap auth page in order to use ldaps with active directory or other LDAP

systems.

History

#1 - 11/18/2011 09:20 AM - Jacob McCann

- File ldap_cert.patch added

In our environment we need to use a public certificate when connecting the our AD servers.  The attached is a diff of changes we made to get it to

work.  This is hardcoding the path to the cert in the code, so it would need to be modified to take a path from a webform instead.

#2 - 03/15/2016 03:44 AM - Ohad Levy

- Description updated

- Status changed from New to Resolved

I believe this is now fully supported - see http://theforeman.org/manuals/1.10/index.html#4.1.1LDAPAuthentication, closing - thanks!

Files

ldap_cert.patch 615 Bytes 11/18/2011 Jacob McCann
